LibOFX: OfxBalanceContainer Class Reference

LibOFX

Public Member Functions | Data Fields
OfxBalanceContainer Class Reference

Represents the <BALANCE>, <INVBAL> or <INV401KBAL> OFX SGML entity. More...

Inheritance diagram for OfxBalanceContainer:

## Public Member Functions
| OfxBalanceContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object. More...
| OfxBalanceContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object. More...
Public Member Functions inherited from OfxGenericContainer
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
virtual int | gen_event ()
| Generate libofx.h events. More...
virtual int | add_to_main_tree ()
| Add this container to the main tree. More...
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element)
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
virtual int | gen_event ()
| Generate libofx.h events. More...
virtual int | add_to_main_tree ()
| Add this container to the main tree. More...
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element)

## Data Fields
double | amount
bool | amount_valid
time_t | date
bool | date_valid
double | margin_balance
bool | margin_balance_valid
double | short_balance
bool | short_balance_valid
double | buying_power
bool | buying_power_valid
Data Fields inherited from OfxGenericContainer
string | type
string | tag_identifier
OfxGenericContainer * | parentcontainer
LibofxContext * | libofx_context

## Detailed Description

Represents the <BALANCE>, <INVBAL> or <INV401KBAL> OFX SGML entity.

OfxBalanceContainer is an auxiliary container (there is no matching data object in libofx.h)

Definition at line 121 of file build/libofx-0.10.0/lib/ofx_containers.hh.

## Member Function Documentation

## ◆ add_attribute() [1/2]

void OfxBalanceContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  |
| virtual

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Definition at line 169 of file build/libofx-0.10.0/lib/ofx_containers_misc.cpp.

## ◆ add_attribute() [2/2]

void OfxBalanceContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  |
| virtual

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

## Field Documentation

## ◆ amount

double OfxBalanceContainer::amount

Interpretation depends on balance_type

Definition at line 128 of file build/libofx-0.10.0/lib/ofx_containers.hh.

## ◆ date

time_t OfxBalanceContainer::date

Effective date of the given balance

Definition at line 130 of file build/libofx-0.10.0/lib/ofx_containers.hh.

## ◆ date_valid

bool OfxBalanceContainer::date_valid

<INVBAL><MARGINBALANCE>

Definition at line 131 of file build/libofx-0.10.0/lib/ofx_containers.hh.

## ◆ margin_balance_valid

bool OfxBalanceContainer::margin_balance_valid

<INVBAL><SHORTBALANCE>

Definition at line 135 of file build/libofx-0.10.0/lib/ofx_containers.hh.

## ◆ short_balance_valid

bool OfxBalanceContainer::short_balance_valid

<INVBAL><BUYPOWER>

Definition at line 139 of file build/libofx-0.10.0/lib/ofx_containers.hh.

The documentation for this class was generated from the following files:

- build/libofx-0.10.0/lib/ofx_containers.hh
- build/libofx-0.10.0/lib/ofx_containers_misc.cpp